<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="72dp">


    <ImageView
        android:id="@+id/iv_up_or_down"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginStart="16dp"
        app:layout_constraintBottom_toBottomOf="@id/space_icon"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/space_icon"
        tools:src="@drawable/ic_all_followed_down" />

    <Space
        android:id="@+id/space_icon"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginStart="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toEndOf="@id/iv_up_or_down"
        app:layout_constraintTop_toTopOf="parent" />

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iv_user_icon"
        android:layout_width="48dp"
        android:layout_height="48dp"
        app:gameIconBorderWidth="0.5dp"
        app:gameIconCornerRadius="48dp"
        app:layout_constraintBottom_toBottomOf="@id/space_icon"
        app:layout_constraintEnd_toEndOf="@id/space_icon"
        app:layout_constraintStart_toStartOf="@id/space_icon"
        app:layout_constraintTop_toTopOf="@id/space_icon" />

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iv_game_icon"
        android:layout_width="48dp"
        android:layout_height="48dp"
        app:gameIconBorderColor="@color/resource_border"
        app:gameIconBorderWidth="0.5dp"
        app:gameIconCornerRadius="12dp"
        app:layout_constraintBottom_toBottomOf="@id/space_icon"
        app:layout_constraintEnd_toEndOf="@id/space_icon"
        app:layout_constraintStart_toStartOf="@id/space_icon"
        app:layout_constraintTop_toTopOf="@id/space_icon" />

    <TextView
        android:id="@+id/tv_name"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="12dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_primary"
        app:layout_constraintBottom_toBottomOf="@id/space_icon"
        app:layout_constraintEnd_toStartOf="@id/barrier"
        app:layout_constraintStart_toEndOf="@id/space_icon"
        app:layout_constraintTop_toTopOf="@id/space_icon"
        android:gravity="center_vertical"
        tools:text="用户名称" />

    <ImageView
        android:id="@+id/iv_drag"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_marginEnd="16dp"
        android:src="@drawable/ic_all_followed_drag"
        app:layout_constraintBottom_toBottomOf="@id/space_icon"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/space_icon" />

    <View
        android:id="@+id/v_new_tips"
        android:layout_width="6dp"
        android:layout_height="6dp"
        android:layout_marginEnd="17dp"
        android:background="@drawable/bg_shape_second_green_radius_6"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/space_icon"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/space_icon" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="left"
        app:constraint_referenced_ids="iv_drag,v_new_tips" />
</androidx.constraintlayout.widget.ConstraintLayout>